- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
Full name: projects.locations.instances.logTypes.logTypeSettings.list
Lists all LogTypeSettings.
HTTP request
GET https://{endpoint}/v1alpha/{parent}/logTypeSettings
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The name of the log type Setting to list. Format: projects/{project}/locations/{location}/instances/{instance}/logTypes/-/logTypeSettings |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of log type settings to return. The service may return fewer than this value. |
pageToken |
Optional. A page token, received from a previous When paginating, all other parameters provided to |
Request body
The request body must be empty.
Response body
Response message for listing log type settings.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"logTypeSettings": [
{
object ( |
| Fields | |
|---|---|
logTypeSettings[] |
The log type settings for each log type. |
nextPageToken |
A token, which can be sent as |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
chronicle.logTypeSettings.list
For more information, see the IAM documentation.